Rygel.Database.Cursor – librygel-db Reference Manual

# Cursor

## Object Hierarchy:

## Description:

public class Cursor : Object
Namespace: Rygel.Database
Package: librygel-db

## Content:

### Classes:

- Iterator

### Creation methods:

- public Cursor (Database db, string sql, Value[]? arguments) throws DatabaseError
  Prepare a SQLite statement from a SQL string

### Methods:

- public void bind (Value[]? arguments) throws DatabaseError
  Bind new values to a cursor.
- public bool has_next () throws DatabaseError
  Check if the cursor has more rows left
- public unowned Statement* next () throws DatabaseError
  Get the next row of this cursor.
- public Iterator iterator ()
  Return an iterator to the cursor to use with foreach
- protected void throw_if_code_is_error (int sqlite_error) throws DatabaseError
  Convert a SQLite return code to a DatabaseError
- protected void throw_if_db_has_error () throws DatabaseError
  Check if the last operation on the database was an error

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count